
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>仅1个例子轻松学习正则表达式_正则表达式 / iVAN</title>

    <meta name="description" content="仅1个例子轻松学习正则表达式_正则表达式 正则表达式的语法就不多说了,大家可以自己搜索查阅相关资料学习.本文所举例子是在&lt;JavaScript语言精粹&gt;上看到的,看完之后对正则表达式有了进一步的理解,故分享之. 例子 //这是一个用来匹配URL的正则表达式,分组获取不同部分的信息 var parse_url = /^(?:([A-Za-z]+):)?(\/{0,3})([0-9.\-A-Za-z]+)(?::(\d+))?(?:\/([^?#]*))?(?:\?([^#]*))?(?:#(.*))?$/; var url = ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">仅1个例子轻松学习正则表达式_正则表达式</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>正则表达式的语法就不多说了，大家可以自己搜索查阅相关资料学习。本文所举例子是在《JavaScript语言精粹》上看到的，看完之后对正则表达式有了进一步的理解，故分享之。</p>
<p><strong>例子</strong></p>
<pre>
//这是一个用来匹配URL的正则表达式，分组获取不同部分的信息
var parse_url = /^(?:([A-Za-z]+):)?(\/{0,3})([0-9.\-A-Za-z]+)(?::(\d+))?(?:\/([^?#]*))?(?:\?([^#]*))?(?:#(.*))?$/;
var url = "http://www.ora.com:80/goodparts?q#fragment";
var result = parse_url.exec(url);
var names = ["url", "scheme", "slash", "host", "port", "path", "query", "hash"];var i;
for (i = 0; i &lt; names.length; i++) {
 document.writeln(names[i] + ": " + result[i] + "&lt;br/&gt;");
}

//这段代码的输出结果如下：
url: http://www.ora.com:80/goodparts?q#fragment
scheme: http
slash: //
host: www.ora.com
port: 80
path: goodparts
query: q
hash: fragment
</pre>
<p><strong>解析</strong><br />
下面让我们分解parse_url的各个部分，看看它是如何工作的：</p>
<p><strong>^<br /></strong></p>
<p>^字符表示此字符串的开始，它是一个锚，指引exec不要跳过那些不像URL的前缀，只匹配那些从开头就像URL一样的字符串。</p>
<p><strong>(?:([A-Za-z]+):)?<br /></strong></p>
<p>这个因子匹配一个协议名，但仅当它后面跟随一个 :（冒号）的时候才匹配。(?: . . .)表示一个非捕获型分组（noncapturing group）。后缀 ? 表示这个分组是可选的，它表示重复0次或1次。( . . .)表示一个捕获型分组。一个捕获型分组会复制它所匹配的文本，并把其放到result数组里。每个捕获型分组都会被指定一个编号。第一个捕获型分组的编号是1，所以该分组所匹配的文本副本会出现在result[1]中。 [ . . .]表示一个字符类。A-Za-z这个字符类包含26个大写字母和26个小写字母。连接字符 - 表示范围从A-Z。后缀 + 表示这个字符类会被匹配一次或多次。这个组后面跟着字符 : ，它会按字面进行匹配。 </p>
<p><strong>(\/{0,3})<br /></strong></p>
<p>这个因子是捕获型分组2，匹配//。\ /表示应,该匹配 / （斜杠）。它用 \ （反斜杠）来进行转义，这样它就不会被错误地解释为这个正则表达式的结束符。后缀 {0,3} 表示 / 会匹配0~3次。</p>
<p><strong>([0-9.\-A-Za-z]+)</strong></p>
<p>这个因子是捕获型分组3。它会匹配一个主机名，由一个或多个数字、字母以及 . 或 - 字符组成。- 会被转义为 \- 以防止与表示范围的连字符相混淆。</p>
<p><strong>(?::(\d+))?<br /></strong></p>
<p>这个可选的因子匹配端口号，它是由一个前置 : 加上一个或多个数字而组成的序列。\d表示一个数字字符。一个或多个数字组成的数字串会被捕获型分组4捕获。</p>
<p><strong>(?:\/([^?#]*))?</strong></p>
<p>这个因子也是可选的分组，匹配路径。该分组以一个 / 开始。之后的字符类[^?#]以一个^开始，它表示这个类包含除 ? 和 # 之外的所有字符。* 表示这个字符类会被匹配0次或多次。</p>
<p><strong>注意</strong>我在这里的处理是不严谨的。这个类匹配除 ? 和 # 之外的所有字符，其中包括了行结束符、控制字符、以及其他大量不应在此被匹配的字符。大多数情况下，它会按照我们的预期去做，但某些恶意文本可能会有渗漏进来的风险。不严谨的正则表示式是一个常见的安全漏洞发源地。写不严谨的正则表达式比写严谨的正则表示式要容易的多。 </p>
<p><strong>(?:\?([^#]*))?</strong></p>
<p>这个因子是一个以一个 ? 开始的可选分组。它包含捕获型分组6，这个分组包含0个或多个非#字符。</p>
<p><strong>(?:#(.*))?</strong></p>
<p>这个因子是以 # 开始的可选分组。. 会匹配除行结束符以外的所有字符。</p>
<p><strong>$<br /></strong></p>
<p>$表示这个字符串的结束。它保证在这个URL的尾部没有其他更多的内容了。</p>
<p>通过这个简单例子，相信大家对正则表达式有了更进一步的理解，祝大家学习愉快！</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索正则表达式<br />
                                    例子<br />
                                    ，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-03 17:41:14</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%ad%a3%e5%88%99%e8%a1%a8%e8%be%be%e5%bc%8f/" title="正则表达式">正则表达式</a>, <a href="https://www.iamivan.net/tag/%e4%be%8b%e5%ad%90/" title="例子">例子</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>仅1个例子轻松学习正则表达式_正则表达式的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p52JY7z.html" rel="bookmark">仅1个例子轻松学习正则表达式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				正则表达式的语法就不多说了,大家可以自己搜索查阅相关资料学习.本文所举例子是在&lt;JavaScript语言精粹&gt;上看到的,看完之后对正则表达式有了进一步的理解,故分享之. 例子 //这是一个用来匹配URL的正则表达式,分组获取不同部分的信息 var parse_url = /^(?:([A-Za-z]+):)?(\/{0,3})([0-9.\-A-Za-z]+)(?::(\d+))?(?:\/([^?#]*))?(?:\?([^#]*))?(?:#(.*))?$/; var url = &quo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8RyK3b.html" rel="bookmark">如何快速学习正则表达式&lowbar;正则表达式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				正则表达式概念 正则表达式,又称正规表示法.常规表示法(英语:Regular Expression,在代码中常简写为regex.regexp或RE),计算机科学的一个概念.正则表达式使用单个字符串来描述.匹配一系列符合某个句法规则的字符串.在很多文本编辑器里,正则表达式通常被用来检索.替换那些符合某个模式的文本. 在日常工作中,我们经常写正则表达式,比如在表单中经常用来验证用户输入的格式是否正确,我们就会用到正则表达式;可以把正则表达式看做是可以描述问题的语言,它就是专门为模式匹配而设计的 --			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pP8Dmvp.html" rel="bookmark">正则表达式学习参考 正则入门学习资料&lowbar;正则表达式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1 概述 正则表达式(Regular Expression)是一种匹配模式,描述的是一串文本的特征. 正如自然语言中&quot;高大&quot;.&quot;坚固&quot;等词语抽象出来描述事物特征一样,正则表达式就是字符的高度抽象,用来描述字符串的特征. 正则表达式(以下简称正则,Regex)通常不独立存在,各种编程语言和工具作为宿主语言提供对正则的支持,并根据自身语言的特点,进行一定的剪裁或扩展. 正则入门很容易,有限的语法规则很容易掌握,但是目前正则的普及率并不高,主要是因为正则的流派众多,各种宿			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgERe1z.html" rel="bookmark">最新手机号码、电话号码正则表达式&lowbar;正则表达式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今天开始小编为大家系统整理关于正则表达式的一系列文章,希望大家会喜欢. 首先了解一下正则表达式的概念,正则表达式(regular expression)描述了一种字符串匹配的模式,可以用来检查一个串是否含有某种子串.将匹配的子串做替换或者从某个串中取出符合某个条件的子串等. java手机号码正则表达式: /** * 验证手机号码 * * 移动号码段:139.138.137.136.135.134.150.151.152.157.158.159.182.183.187.188.147 * 联通号码			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvYmZrb.html" rel="bookmark">55分钟学会正则表达式&lowbar;正则表达式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				什么是正则 正则表达式是一种用来描述一定数量文本的模式,用来匹配相同规范样式的文本.在JavaScript中用RegExp对象表示正则表达式( 即Regular Eexpression),它是对字符串执行模式匹配的强大工具. 正则表达式是一种查找以及字符串替换操作.正则表达式在文本编辑器中广泛使用,比如正则表达式被用于: 检查文本中是否含有指定的特征词 找出文中匹配特征词的位置 从文本中提取信息,比如:字符串的子串 修改文本 与文本编辑器相似,几乎所有的高级编程语言都支持正则表达式.在这样的语境			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Myee5PM.html" rel="bookmark">详解Java判断是否是整数，小数或实数的正则表达式&lowbar;正则表达式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				经常会遇到这样的情况,需要判断一个字符串是否是一个合法的数,包括整数,小数或者实数. 网上查到很多文章大多是判断这个字符串是否全为数字,比如下面这段来自StringUtils的代码,可以看到,13.2这样的数字实际上会返回false,可是,他的确是一个数字. public static boolean isNumeric(String str) { if (str == null) { return false; } int sz = str.length(); for (int i = 0;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAkA4vz.html" rel="bookmark">去掉字符串前后所有空格的正则表达式&lowbar;正则表达式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				正则表达式,又称正规表示法.常规表示法(英语:Regular Expression,在代码中常简写为regex.regexp或RE),计算机科学的一个概念.正则表达式使用单个字符串来描述.匹配一系列符合某个句法规则的字符串.在很多文本编辑器里,正则表达式通常被用来检索.替换那些符合某个模式的文本. /**去掉字符串前后所有空格*/ function trim(str){ return str.replace(/(^\s*)|(\s*$)/g, &quot;&quot;); } //计算标题长度 funct			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQ1B5Gb.html" rel="bookmark">String字符串匹配javascript 正则表达式&lowbar;正则表达式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在JavaScript代码中使用正则表达式进行模式匹配经常会用到String对象和RegExp对象的一些方法,例如replace.match.search等方法,下面所述是对相关方法使用的总结,需要的朋友参考下. String对象中支持正则表达式有4种方法,分别是:search.replace.match.split str.search(regexp) 定义:search()方法将在字符串str中检索与表达式regexp相匹配的字串,并且返回第一个匹配字串的第一个字符的位置.如果没有找到任何匹			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3ZrGAz.html" rel="bookmark">JS常用正则表达式及验证时间的正则表达式&lowbar;正则表达式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在这篇文章里,我已经编写了12个超有用的正则表达式,这可是WEB开发人员的最爱哦. 1.在input框中只能输入金额,其实就是只能输入最多有两位小数的数字 //第一种在input输入框限制 &lt;input type=&quot;text&quot; maxlength=&quot;8&quot; class=&quot;form-control&quot; id=&quot;amount&quot; style=&quot;margin-right: 2px;&quot; value=&quot;&q			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPWWrM.html" rel="bookmark" class="title">PS合成一只可爱的穿童装的小狗教程</a>
					<div>
						教程我们学习如何给宠物穿衣服,过程简单而有趣,只要图片适合,个把小时即可搞定,学会本教程后,你可以给老鼠或其它宠物添加衣物. 先看效果图. 首先打开儿童的图片,1 2 3点击下载,用钢笔工具选出衣服和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvLnWz.html" rel="bookmark" class="title">Photoshop图文教程：一种简单的数码照片后期润饰</a>
					<div>
						教程 最近似乎很流行这种风格的数码后期,有朋友问我用PS是如何处理的, 其实很简单,我下面给大家介绍下操作思路, 大家处理的时候请根据原片的实际情况自由发挥, 首先用PS打开原片: 单击右下角小图标建 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bBnAdb.html" rel="bookmark" class="title">选择防火墙应该考虑的几方面</a>
					<div>
						首先要明确,防火墙不是路由器.交换机或者服务器.(虽然看起来比较象)所以不能用那些产品的指标来选择防火墙.那么选择防火墙应该注意哪些方面呢? 一安全性:这是重中之重.安全性不高的防火墙,其他性能再好也 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLO2Z0M.html" rel="bookmark" class="title">深入VCL理解BCB的消息机制1</a>
					<div>
						本文所谈及的技术内容都来自于Internet的公开信息.由CKER在闲暇之际整理后,贴出来以飴网友,姑且妄称原创. 『每次在国外网站上找到精彩文章的时候,心中都会暗自叹息为什么在中文网站难以觅得这类文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKjN1p.html" rel="bookmark" class="title">C&num;使用预处理SQL语句访问MySQL的方法&lpar;Parameter&rpar;</a>
					<div>
						MySqlConnection con = null; MySqlCommand cmd = null; string nameStr = &quot;Sample value passed \&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLOPGAM.html" rel="bookmark" class="title">python判断一个集合是否包含了另外一个集合中所有项的方法</a>
					<div>
						  本文实例讲述了python判断一个集合是否包含了另外一个集合中所有项的方法.分享给大家供大家参考.具体如下: ? 1 2 3 4 5 6 &gt;&gt;&gt; L1 = [1, 2, 3, 3 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxjA0b.html" rel="bookmark" class="title">PS让喷泉的水花动起来</a>
					<div>
						教程介绍水花的动态图制作方法.大致原理:把素材图片复制多份,然后用扭曲滤镜中的海洋波纹滤镜对各图层进行波纹处理,把原图中的水花扭曲一点位置.每一层的参数需要有一点变化,然后连贯起来就看以看到逼真的动态 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLBv3b.html" rel="bookmark" class="title">Photoshop给公园人物照片加上怀旧的褐绿色</a>
					<div>
						怀旧的颜色有很多,这里介绍一种褐绿色图片调色方法.过程:先把图片中的暖色与冷色比例调好,然后用通道替换做出青红色图片,后期把青色转为褐绿色,红色转为红褐色,再把整体调淡调柔和即可. 原图 &lt;点小 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJZZ88z.html" rel="bookmark" class="title">xp系统安装方法 如何安装XP系统</a>
					<div>
						第一步,设置光启: 所谓光启,意思就是计算机在启动的时候首先读光驱,这样的话如果光驱中有具有光启功能的光盘就可以赶在硬盘启动之前读取出来(比如从光盘安装系统的时候). 设置方法: 1.启动计算机,并按 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6eN0ob.html" rel="bookmark" class="title">酷盘如何通过PC客户端创建共享文件夹</a>
					<div>
						  酷盘通过PC客户端创建共享文件夹的方法如下: 打开酷盘同步目录后,在需要创建共享的文件夹上右键,弹出菜单. 点击&quot;共享文件夹&quot;,将打开浏览器窗口进入酷盘网站进行相关操作. 今后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYRNnep.html" rel="bookmark" class="title">中英文混排时的最佳化状态</a>
					<div>
						  汉字(以下中文字称呼)以及受其影响的日文.韩文有一个很大的特色,就是其文字的造型为方块形的文字基本元素.也因为如此,中文在书写的时候会有直书以及横书两种书写应用方式. 相信大家阅读过直行排版的中文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7ARjM.html" rel="bookmark" class="title">Win7局域网的服务器死机的秘籍</a>
					<div>
						当用户在win7 64位旗舰版系统局域网中,有时使用作为存放文件服务器,复制文件因为过大造成服务器死机后不知所措,今天小编就以win7旗舰版实例,来和大家探讨一下巧妙解决Win7局域网的服务器死机的方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8dLkb.html" rel="bookmark" class="title">使用U盘的几个注意点</a>
					<div>
						  U盘,可以说是用电脑的都会用到的移动存储工具了,虽然现在U盘很便宜,几十块便可以购买一个,但里面的数据却不是随便能够购买的,所以在日常的使用过程中,我们也要尽量呵护我们的U盘.跟着来看看如何疼爱自 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPlGlp.html" rel="bookmark" class="title">在Spring Boot项目中使用Spock框架</a>
					<div>
						Spock框架是基于Groovy语言的测试框架,Groovy与Java具备良好的互操作性,因此可以在Spring Boot项目中使用该框架写优雅.高效以及DSL化的测试用例.Spock通过@RunWi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvr70VM.html" rel="bookmark" class="title">jsp自定义标签-jsp中怎么自定义一个有onclick这样属性的标签啊？</a>
					<div>
						问题描述 jsp中怎么自定义一个有onclick这样属性的标签啊? 哪位大虾可以告诉菜鸟,怎么在自定义的标签中定义一个可以调用jQuery里面方法的属性哇,就像onclick那种. 解决方案 自定义一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrW1xVp.html" rel="bookmark" class="title">很容易学习的JQuery库 &colon; &lpar;六&rpar; 遍历</a>
					<div>
						定义 jQuery 遍历,意为&quot;移动&quot;,用于根据其相对于其他元素的关系来&quot;查找&quot;(或选取)HTML 元素.以某项选择开始,并沿着这个选择移动,直到抵达您期望的元 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrVrrM.html" rel="bookmark" class="title">数据结构  c&plus;&plus;语言-顺序表上的基本操作实现</a>
					<div>
						问题描述 顺序表上的基本操作实现 求大神补充一下逆置操作,顺便将注释补上.求问此处return -1:是什么意思?顺序表上的基本操作实现 时 限: 1000 ms 内存限制: 10000 K 总时限: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKQl6Wp.html" rel="bookmark" class="title">基于jsp&plus;servlet图书管理系统之后台用户信息插入操作</a>
					<div>
						前奏: 刚开始接触博客园写博客,就是写写平时学的基础知识,慢慢发现大神写的博客思路很清晰,知识很丰富,非常又价值,反思自己写的,顿时感觉非常low,有相当长一段时间没有分享自己的知识.于是静下心来钻研 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV00K4M.html" rel="bookmark" class="title">select-触发器无效且重新验证错误</a>
					<div>
						问题描述 触发器无效且重新验证错误 CREATE OR REPLACE TRIGGER &quot;CUSTOMER_SEQ&quot; BEFORE INSERT ON CUSTOMER REFER ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJqOXVp.html" rel="bookmark" class="title">剑指offer系列之二：字符串空格替换</a>
					<div>
						题目描述: 请实现一个函数,将一个字符串中的空格替换成&quot;%20&quot;.例如,当字符串为We Are Happy,则经过替换之后的字符串为We%20Are%20Happy. 看到这题,我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAEyPvM.html" rel="bookmark" class="title">求C&num;混淆加密工具，及完整的混淆加密教程。怎么&period;net reader加密后不能用VS打包了，提示找不到依赖项？</a>
					<div>
						问题描述 1.求C#混淆加密工具,及完整的混淆加密教程.怎么.netreader加密后不能用VS打包了,提示找不到依赖项?2.用VS自带的DSS不能完全混淆,全局字符串还是能反编译,我的连接字符串赤裸 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYXvAQb.html" rel="bookmark" class="title">java-JAVA 窗口为什么不显示里面的内容</a>
					<div>
						问题描述 JAVA 窗口为什么不显示里面的内容 public class MainFrame { private JFrame mainframe; private JLabel JL_usernam ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8YvB4z.html" rel="bookmark" class="title">c 语言 51 字节 扩展-C语言有没有一种简单的运算进行字节扩展？</a>
					<div>
						问题描述 C语言有没有一种简单的运算进行字节扩展? 在C语言中有没有一种简单的办法扩展字节? 比如 8位的10101010 扩展为16位1100110011001100应该如何实现? 解决方案 cha ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0ng6Pz.html" rel="bookmark" class="title">执行计划-跪求大神指导：一下sql为什么加了一个exists后查询变得很慢很慢。oracle~</a>
					<div>
						问题描述 跪求大神指导:一下sql为什么加了一个exists后查询变得很慢很慢.oracle~ 具体请见截图,以为是内网无法拷贝代码,请见谅 注: 其中 A 表中的数据大概 60 多万晚条,下面 OB ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9x7GRb.html" rel="bookmark" class="title">iframe接受中文乱码-最近在做一个导出功能 使用iframe 去请求servlet 在接受servlet返回信息时 乱码</a>
					<div>
						问题描述 最近在做一个导出功能 使用iframe 去请求servlet 在接受servlet返回信息时 乱码 最近在做一个导出功能 使用iframe去请求servlet ,在接受servlet返回信息 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOJvQqp.html" rel="bookmark" class="title">PostgreSQL Oracle 兼容性系列之 - WITH 递归 &lpar; connect by &rpar;</a>
					<div>
						( 请把本文某些SQL的 SELEC改成 s e l e c t , FRO改成 f r o m , WHE改成 w h e r e 不要空格) connect by语法是Oracle用来实现树形查询 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW7LXXM.html" rel="bookmark" class="title">网站测试软件测试</a>
					<div>
						问题描述 随着网站规模,功能等的逐步提高,对网站的要求愈来愈高,不仅仅是简单地传达信息,网站的易用性,友好性更值得关注,本人从事软件测试行业已有三年多,主要服务对象为日本通信运营商,在软件测试领域积累 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mlm808p.html" rel="bookmark" class="title">迈克菲李明&colon;企业选型DLP需结合自身实际</a>
					<div>
						本文讲的是迈克菲李明:企业选型DLP需结合自身实际,数据安全是保护信息安全的技术,人类对于重要信息的保护需求可追溯到几百甚至千年前,我们熟知的历史故事里面就有很多故事,比如三国演义里面的玉带诏书.或者 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRdODKz.html" rel="bookmark" class="title">腾讯为什么要QQ的&OpenCurlyDoubleQuote;关闭&rdquo;？</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 不记得是哪次 参加优酷的活动,应该 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK0woEM.html" rel="bookmark" class="title">移动搜索的最新统计：用户在手机中搜索哪些内容</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 我不知道读者会不会这样做,但我总是 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
